From bacb3b6664e04846b3e613e13c86f2845af4e9d8 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 730/1001] Convert the sticky widget


---

diff --git a/hubs/widgets/sticky/__init__.py b/hubs/widgets/sticky/__init__.py
new file mode 100644
index 0000000..409b382
--- /dev/null
+++ b/hubs/widgets/sticky/__init__.py
@@ -0,0 +1,31 @@
+from __future__ import unicode_literals
+
+from hubs import validators
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import Widget, WidgetView
+
+
+class Sticky(Widget):
+
+    name = "sticky"
+    position = "both"
+    arguments = [
+        dict(
+            name="text",
+            label="Text",
+            default="Lorem ipsum dolor...",
+            validator=validators.text,
+            help="Some dummy text to display.",
+        )]
+
+
+class BaseView(WidgetView):
+
+    name = "root"
+    url_rules = ["/"]
+    template_name = "templates/sticky.html"
+    chrome = panel(title='Sticky Note', klass="card-info")
+
+    def get_context(self, instance, *args, **kwargs):
+        # TODO -- render with markdown
+        return dict(text=instance.config["text"])

